<?php

namespace App\Classes\Modules\PackingLists\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\PackingLists\DataTransferObjects\PackingListObject;

class PackingListPackageValidation extends AbstractValidation
{


    /**
     * @param PackingListObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'packing_list_id' => $object->getPackingListId(),
            'package_id' => $object->getPackageId()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'packing_list_id' => 'required',
            'package_id' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}
